<?php

define('IN_PHPBB', 1);

if( !empty($setmodules) )
{
	$file = basename(__FILE__);
	$module['General']['Banners'] = $file;
	return;
}

$phpbb_root_path = "./../";
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);

$banners = array();

$sql = "SELECT * FROM " . BANNERS_TABLE;
$result = $db->sql_query($sql) or message_die(CRITICAL_ERROR, "Could not query banners information", "", __LINE__, __FILE__, $sql);

while( $row = $db->sql_fetchrow($result) )
{
	$banner_name = $row['banner_name'];
	$banner_value = str_replace('"', '&quot;', $row['banner_value']);

	$banners[$banner_name] = $banner_value;
}

if( isset($HTTP_POST_VARS['submit']) )
{
	foreach ($banners as $banner_name => $banner_value)
	{
		if ( isset($HTTP_POST_VARS['banner_' . $banner_name]) )
		{
			$sql = "UPDATE " . BANNERS_TABLE . " SET
				banner_value = '" . str_replace("\'", "''", $HTTP_POST_VARS['banner_' . $banner_name]) . "'
				WHERE banner_name = '$banner_name'";
			$db->sql_query($sql) or message_die(GENERAL_ERROR, "Failed to update information for $banner_name", "", __LINE__, __FILE__, $sql);
		}
	}

	$message = $lang['Banners_updated'] . "<br /><br />" . sprintf($lang['Click_return_banners'], "<a href=\"" . append_sid("admin_banners.$phpEx") . "\">", "</a>") . "<br /><br />" . sprintf($lang['Click_return_admin_index'], "<a href=\"" . append_sid("index.$phpEx?pane=right") . "\">", "</a>");
	message_die(GENERAL_MESSAGE, $message);
}
else
{
	$template->set_filenames(array(
		"body" => "admin/banners_body.tpl")
	);

	foreach ($banners as $banner_name => $banner_value)
	{
		$template->assign_block_vars('banner_row', array(
			'BANNER_NAME' => 'banner_' . $banner_name,
			'BANNER_TITLE' => $lang['Banners_' . $banner_name],
			'BANNER_VALUE' => $banner_value
			)
		);
	}

	$template->assign_vars(array(
		"S_BANNERS_ACTION" => append_sid("admin_banners.$phpEx"),

		"L_BANNER_NAME" => $lang['Banner_name'],
		"L_BANNER_VALUE" => $lang['Banner_value'],
		"L_BANNERS_TITLE" => $lang['Banners'],
		"L_BANNERS_EXPLAIN" => $lang['Banners_explain'],

		"L_SUBMIT" => $lang['Submit'],
		"L_RESET" => $lang['Reset']
		)
	);
}

$template->pparse("body");

include('./page_footer_admin.'.$phpEx);

?>
